
.visible.invisible {
    visibility: hidden;
    max-height: 0;
    opacity: 0;
    transition: max-height 0.5s ease-in, opacity 0.5s ease-in;
}
.back-to-login {
    margin: 20px auto 0 auto;
    text-align: center;
}

.back-to-login a {
    color: var(--global--color-light-gray,#dee2e6) !important;
}

.pf-c-button.pf-m-primary {
    color: var(--pf-c-button--m-primary--Color);
    background-color: var(--pf-c-button--m-primary--BackgroundColor);
    
    background: var(--global--color-background, --pf-c-button--m-primary--BackgroundColor) !important;
    color: var(--global--color-dark-gray, --pf-c-button--m-primary--Color) !important;
    border-style: solid;
    border-width: 2px;
    font-weight: 700;
    border-color: var(--global--color-dark-gray, --pf-c-button--m-primary--Color) !important;
    border-radius: 5px;
    box-shadow: 0px 0px 5px 0px rgb(255 255 255 / 50%);
    text-decoration: none;
  }

.pf-c-button.pf-m-primary:hover {
    background: var(--global--color-dark-gray, --pf-c-button--m-primary--BackgroundColor) !important;
    color: var(--global--color-background, --pf-c-button--m-primary--Color) !important;
}

.visible {
    visibility: visible;
    opacity: 1;
    transition: max-height 0.5s ease-in, opacity 0.5s ease-in;
    max-height: 400em;
}

/* Mark input boxes that gets an error on validation: */
select.invalid,
input.invalid {
    background-color: #ffdddd;
}

.d-none {
    display: none;
}

ul.form-stepper {
    counter-reset: section;
    margin-bottom: 3rem;
}
ul.form-stepper .form-stepper-circle {
    position: relative;
}
ul.form-stepper .form-stepper-circle span {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateY(-50%) translateX(-50%);
}
.form-stepper-horizontal {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
}
ul.form-stepper > li:not(:last-of-type) {
    margin-bottom: 0.625rem;
    -webkit-transition: margin-bottom 0.4s;
    -o-transition: margin-bottom 0.4s;
    transition: margin-bottom 0.4s;
}
.form-stepper-horizontal > li:not(:last-of-type) {
    margin-bottom: 0 !important;
}
.form-stepper-horizontal li {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
    -webkit-box-align: start;
    -ms-flex-align: start;
    align-items: start;
    -webkit-transition: 0.5s;
    transition: 0.5s;
}
.form-stepper-horizontal li:not(:last-child):after {
    position: relative;
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
    height: 1px;
    content: "";
    top: 49%; /* => fixes rendering bug */
}
.form-stepper-horizontal li:after {
    background-color: #dee2e6;
}
.form-stepper-horizontal li.form-stepper-completed:after {
    background-color: var(--global--color-primary, #4361ee) !important;
}
.form-stepper-horizontal li:last-child {
    flex: unset;
}
ul.form-stepper li a .form-stepper-circle {
    display: inline-block;
    width: 40px;
    height: 40px;
    margin-right: 0;
    line-height: 1.7rem;
    text-align: center;
    background: rgba(0, 0, 0, 0.38);
    border-radius: 50%;
}
.form-stepper .form-stepper-active .form-stepper-circle {
    background-color: var(--global--color-primary, #4361ee) !important;
    color: #fff;
}
.form-stepper .form-stepper-active .label {
    color: var(--global--color-primary, #4361ee) !important;
}
.form-stepper .form-stepper-active .form-stepper-circle:hover {
    background-color: var(--global--color-primary, #4361ee) !important;
    color: #fff !important;
}
.form-stepper .form-stepper-unfinished .form-stepper-circle {
    background-color: #f8f7ff;
}
.form-stepper .form-stepper-completed .form-stepper-circle {
    background-color: var(--global--color-secondary, #0e9594) !important;
    color: #fff;
}
.form-stepper .form-stepper-completed .label {
    color: var(--global--color-secondary, #0e9594) !important;
}
.form-stepper .form-stepper-completed .form-stepper-circle:hover {
    background-color: var(--global--color-secondary, #0e9594) !important;
    color: #fff !important;
}
.form-stepper .form-stepper-active span.text-muted {
    color: #fff !important;
}
.form-stepper .form-stepper-completed span.text-muted {
    color: #fff !important;
}
.form-stepper .label {
    font-size: 1rem;
    margin-top: 0.5rem;
}
.form-stepper a {
    cursor: default;
}